Bug 1255411 - Useless var_log_messages
Useless var_log_messages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matej Habrnal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 09:48 EDT by Milan Crha
Modified: 2018-05-29 07:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:59:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2015-08-20 09:48:48 EDT
There is getting attached useless val_log_messages to ABRT reports with the only content:

   User Logs:
   -- No entries --

The previous version used to:
a) inline short var_log_messages
b) do not include the file/content when there was none content to show

It would be good to restore this behaviour (both points).

An example report:
https://bugzilla.redhat.com/show_bug.cgi?id=1254970
Comment 1 Matej Habrnal 2015-08-24 07:07:31 EDT
Thank you for the bug report.

There are more issues related to filtering and storing logs, therefore we decided to do it better and implement a tool which will be more sophisticated than the current solution and which will fix the all issues.
Comment 2 Matej Habrnal 2015-08-24 07:10:19 EDT
The following github issue is related to this bugzilla:
https://github.com/abrt/abrt/issues/864
Comment 3 Milan Crha 2015-08-26 03:04:45 EDT
Okay, thanks. Partly related, there might be a way to let the package maintainer to decide what attachments are expected in a bugzilla. For me it's only backtrace and var_log_messages where I look in, and sometimes also the one with package names for libraries, but that one not that often. All other attachments is just waste of resources for me. I only never understood how to setup that. When you are talking about more sophisticated way, then I'd include also this "filter out" option for packages there. Though, maybe it's not code-related as consumer-related.
Comment 4 Fedora End Of Life 2016-07-19 13:36:00 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jakub Filak 2016-07-21 10:10:00 EDT
(In reply to Milan Crha from comment #3)
> Okay, thanks. Partly related, there might be a way to let the package
> maintainer to decide what attachments are expected in a bugzilla. For me
> it's only backtrace and var_log_messages where I look in, and sometimes also
> the one with package names for libraries, but that one not that often.

http://abrt.readthedocs.io/en/latest/maintainer.html#using-custom-bugzilla-template

cat > /etc/libreport/plugins/bugzilla_format_evolution.conf << EOF
summary:: %summary:: [abrt] %pkg_name%[[: %crash_function%()]][[: %reason%]]

Description of problem:: %bare_comment

Version-Release number of selected component:: %bare_package

Report created by:: %reporter

Truncated backtrace:: %bare_%short_backtrace

%attach:: backtrace, var_log_messages, dso_list
EOF

Please test the configuration by reporting to partner-bugzilla.redhat.com. I can help you setting up ABRT.

Here is the list of elements collected by ABRT and its plugins:
http://abrt.readthedocs.io/en/latest/design.html#elements-collected-by-abrt
Comment 6 Milan Crha 2016-08-04 11:38:25 EDT
It seems I can see the outcome of the customized template when I get to the page of the review of data to be sent. The problem is that:
a) the template seems to be per-process, with dashes replaced with underscores
   when they are included in the binary name
b) the suggested %attach section above makes to attach basically everything
   (almost all the files are checked in the list of items to be sent)

ad a) I surely do not want to distribute 10+ files, for each binary evolution-data-server and evolution itself installs, that feels like a duplication, which I'd like to avoid

ad b) I suppose the default bugzilla_format.conf's sections:

   %attach:: -comment,-reason,-reported_to,-event_log,-extra-cc,%multiline,\
        -coredump,-build_ids,%binary

enables everything, except of those noted, while the suggested line above seems to work in a way of "enable everything and these three too".
Comment 7 Milan Crha 2016-08-04 11:42:26 EDT
By the way, the original issue is still relevant, thus I'm reopening this and filling it against rawhide. Example:

https://bugzilla.redhat.com/show_bug.cgi?id=1358868

the var_log_messages has 28 bytes, with basically nothing useful.

One more side note, if you check the backtrace, then it stopped in g_logv(), which is usually after the message being printed, but the ABRT took the log snapshot too early and didn't include it, thus the error message is lost.
Comment 8 Jakub Filak 2016-08-05 03:18:36 EDT
(In reply to Milan Crha from comment #6)
> It seems I can see the outcome of the customized template when I get to the
> page of the review of data to be sent. The problem is that:
> a) the template seems to be per-process, with dashes replaced with
> underscores
>    when they are included in the binary name

The pages on the URL in comment #6 says:
 "ABRT allows package maintainers to override default Bugzilla bug formatting for their packages by providing a component specific template file for abrt."

Thus, the "evolution" sub-string is not base name of an executable, it is name of a component.

> b) the suggested %attach section above makes to attach basically everything
>    (almost all the files are checked in the list of items to be sent)

The %attach section does not affect check boxes in the reporting GUI. I admit it is confusing. The check boxes mark files that can be attached and not those that shall be attached.

This configuration "%attach:: backtrace, var_log_messages, dso_list" will attach only the listed files to a new bugzilla bug.

You can try to report an arbitrary crash of any evolution process to http://partner-bugzilla.redhat.com/ and you will see what the configuration does in real.
Comment 9 Milan Crha 2016-12-01 11:51:06 EST
I kind of lost interest in this, but maybe if you could guide me, then I can spread the changes between evolution-data-server, evolution, evolution-ews and evolution-mapi. When I tried to cook the special file the last time, couple months ago, it didn't seem to work, which might be just because I did it wrong.
Comment 10 Milan Crha 2016-12-01 11:53:39 EST
(In reply to Milan Crha from comment #9)
> I kind of lost interest in this...

Just in case, that was meant for the template, the main issue about Useless var_log_messages is still valid (and is for general audience, not for respective packages, which would ship special templates).
Comment 11 Fedora End Of Life 2017-02-28 04:48:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 12 Fedora End Of Life 2018-05-03 04:48:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2018-05-29 07:59:37 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.